<html>
<head>
<title>Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RTShader_1_1FunctionInvocation_1_1FunctionInvocationLessThan.html">FunctionInvocationLessThan</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan" -->
<p>Comparator function to be used for sorting.  
 <a href="structOgre_1_1RTShader_1_1FunctionInvocation_1_1FunctionInvocationLessThan.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShaderFunctionAtom_8h_source.html">OgreShaderFunctionAtom.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RTShader_1_1FunctionInvocation_1_1FunctionInvocationLessThan-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RTShader_1_1FunctionInvocation_1_1FunctionInvocationLessThan.html#a98bb3842b1ddc52815d771b40c2e7290">operator()</a> (<a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a> const &amp;lhs, <a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a> const &amp;rhs) const </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Comparator function to be used for sorting. </p>
<p>Implemented as a struct to make it easier for the compiler to inline </p>

<p>Definition at line <a class="el" href="OgreShaderFunctionAtom_8h_source.html#l00217">217</a> of file <a class="el" href="OgreShaderFunctionAtom_8h_source.html">OgreShaderFunctionAtom.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a98bb3842b1ddc52815d771b40c2e7290"></a><!-- doxytag: member="Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan::operator()" ref="a98bb3842b1ddc52815d771b40c2e7290" args="(FunctionInvocation const &amp;lhs, FunctionInvocation const &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan::operator() </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreShaderFunctionAtom_8h_source.html">OgreShaderFunctionAtom.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:31
</p>
</body>
</html>
